import React, { useEffect, useState } from 'react'
import { Modal, Form, Input, notification, message, Radio, Checkbox } from 'antd';
import {GetUserAuthSet,} from '@/services/database/api'
import SiteModal from '@/components/Modal/SiteModa';



const AuthModal = props => {
    const plainOptions = ['访客', '普通用户', '管理员',"超级管理员"];
    const [form] = Form.useForm();
    const { Item } = Form;
    const { title, visible, onCancel, onSelect,currentUser } = props;


    useEffect(()=>{
        currentUser.userID&&visible
        GetUserAuthSet({
            UserId:currentUser.userID
        }).then(
            res =>{

            }
        )
    },[currentUser])
    const onTypeChange = () => {

    }
    const onSubmit = () => {

    }


    return (
        <SiteModal
            title={title}
            visible={visible}
            onCancel={onCancel}
            onOk={onSubmit}
            okText="确认"
            cancelText="取消"
            width="800px"
        >
            <div style={{width:'800px'}}>
                <Form form={form}>
                    <Item
                        label="数据权限"
                        name="operate_type"
                    >
                        <Checkbox.Group
                            options={plainOptions}
                            onChange={onTypeChange}
                        />
                    </Item>
                </Form>
            </div>
        </SiteModal>

    )
}
export default AuthModal